<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link
          rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
          crossorigin="anonymous"
        />
        <link
          rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
          crossorigin="anonymous"
        />

        <!-- This is the format for importing a css file -->
        <!-- <link rel= "stylesheet" type= "text/css" href= "{{ url_for('static',filename='styles/h1_color.css') }}"> -->
    
        <title>{% block title %}Home{% endblock %}</title>
        <style>
          .bottom{
            position: fixed;
            bottom: 0px;
            width: 100%;
          }
        </style>
      </head>
<body>
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar">

          <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbar">

          <div class="navbar-nav">
            {% if user.is_authenticated %}
              <a class="nav-item nav-link" id="login" href="/logout">Logout</a>
            {% else %}  
              <a class="nav-item nav-link" id="login" href="/login">Login</a>
              <a class="nav-item nav-link" id="login" href="/sign-up">Sign Up</a>
            {% endif %}
            <a class="nav-item nav-link" id="login" href="/">Home</a>
          </div>
      </div>
  </nav>

  <!-- display messages, errors that i flashed -->
  {% with messages = get_flashed_messages(with_categories=true) %}
  {% if messages %}
    {% with category, message = messages[0] %}
      {% if category == 'error' %}

        <div class='alert alert-danger alert-dismissable fade show bottom' role='alert'>
          {{ message }}
          <button type='button' class='close' data-dismiss='alert'>
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        {% else %}
          <div class='alert alert-success alert-dismissable fade show bottom' role='alert'>
            {{ message }}
            <button type='button' class='close' data-dismiss='alert'>
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        {% endif %}
      {% endwith %}
  {% endif %}
  {% endwith %}

  <div class="container">
    {%block content%}
    {% endblock %}
  </div>

    <script
    src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"
  ></script>
  <script
    src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"
  ></script>
  <script
    src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"
  ></script>

  <script
    type="text/javascript"
    src="{{ url_for('static', filename='index.js') }}"
  ></script>

  <script
    type="text/textcss"
    src="{{ url_for('static', filename='table_design.css') }}"
  ></script>

</body>
</html>
